メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.qoder.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /v1/skills/{skill_id} ID を指定して単一の Skill の詳細情報を取得します。

パスパラメータ

パラメータ必須説明
skill_idstringはいSkill の一意識別子

ヘッダー

ヘッダー必須説明
AuthorizationはいBearer $QODER_PAT

リクエスト例

curl -X GET https://openapi.qoder.sh/api/v1/cloud/skills/skill_019e3bba474b73cfaf19eae9b5f5e66d \
  -H "Authorization: Bearer $QODER_PAT"

レスポンス例

HTTP 200 OK
{
  "id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "type": "skill",
  "name": "test-skill-api-doc",
  "description": "A test skill for API documentation",
  "skill_type": "custom",
  "status": "active",
  "version": 1,
  "content_size": 309,
  "content_sha256": "f253cb7d35790025f85917c0c239422cff1de067d00278db8897c585a3f28d94",
  "metadata": {},
  "created_at": "2026-05-18T15:35:24.248164Z",
  "updated_at": "2026-05-18T15:35:24.248164Z"
}

レスポンスフィールド

フィールド説明
idstringSkill 一意識別子、形式 skill_*
typestringリソースタイプ、固定値 "skill"
namestringSkill 名
descriptionstringSkill の説明
skill_typestringSkill タイプ:custom または prebuilt
statusstring状態:active または deleted
versioninteger現在のバージョン番号
content_sizeintegerzip ファイル内容サイズ(バイト)
content_sha256string内容の SHA-256 ハッシュ値
metadataobjectカスタムメタデータ
created_atstring作成時刻(ISO 8601)
updated_atstring最終更新時刻(ISO 8601)

エラーレスポンス

HTTPtype説明
401TOKEN_INVALID認証トークンが欠落または無効
404not_found_errorSkill が存在しないまたは削除済み: "Skill '{skill_id}' was not found."